Loading...
Searching...
No Matches
osmo_ecu_ops Struct Reference

`#include <ecu.h>`

## Data Fields

struct osmo_ecu_state *(* | init )(void *ctx, enum osmo_ecu_codec codec)
void(* | destroy )(struct osmo_ecu_state *)
int(* | frame_in )(struct osmo_ecu_state *st, bool bfi, const uint8_t *frame, unsigned int frame_bytes)
int(* | frame_out )(struct osmo_ecu_state *st, uint8_t *frame_out)
bool(* | is_dtx_pause )(struct osmo_ecu_state *st)

## Field Documentation

## destroy

void(* osmo_ecu_ops::destroy) (struct osmo_ecu_state *)

## frame_in

int(* osmo_ecu_ops::frame_in) (struct osmo_ecu_state *st, bool bfi, const uint8_t *frame, unsigned int frame_bytes)

## frame_out

int(* osmo_ecu_ops::frame_out) (struct osmo_ecu_state *st, uint8_t *frame_out)

## init

struct osmo_ecu_state *(* osmo_ecu_ops::init) (void *ctx, enum osmo_ecu_codec codec)

## is_dtx_pause

bool(* osmo_ecu_ops::is_dtx_pause) (struct osmo_ecu_state *st)

The documentation for this struct was generated from the following file:

- include/osmocom/codec/ecu.h